Nemotron-3-Super-120B-A12B
Approved Data Classifications
Description
Nemotron-3-Super-120B-A12B is NVIDIA's large reasoning and agentic model in the Nemotron 3 family. It uses a hybrid LatentMoE architecture with interleaved Mamba-2, MoE, and Attention layers plus multi-token prediction, with 120B total parameters and 12B active parameters. The model supports configurable reasoning mode (thinking on/off), up to a 1M-token context window, and up to 32,768 output tokens.
For training freshness, NVIDIA reports a June 2025 pre-training data cutoff and a March 2026 post-training cutoff.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| nemotron-3-super-120b-a12b | Mar 11 2026 | Text | Text | 262,144 | $0.06/1M input $0.24/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "nemotron-3-super-120b-a12b",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="nemotron-3-super-120b-a12b", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "nemotron-3-super-120b-a12b",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
print(completion.choices[0].message)
References
- NVIDIA Nemotron-3-Super-120B-A12B-FP8 Model Card
https://huggingface.co/nvidia/NVIDIA-Nemotron-3-Super-120B-A12B-FP8- NVIDIA API Catalog: Nemotron 3 Super
https://build.nvidia.com/nvidia/nemotron-3-super/modelcard